cascading.stats.tez.util

## Class TaskStatus

- java.lang.Object
- - cascading.stats.tez.util.TaskStatus

    public class TaskStatus
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TaskStatus(String taskID)`
`TaskStatus(String taskID, String status, long scheduledTime, long startTime, long endTime, String successfulAttemptID, Map<String,Map<String,Long>> counters, String diagnostics)`

### Method Summary

Methods
`Map<String,Map<String,Long>>` `getCounters()`
`String` `getDiagnostics()`
`long` `getEndTime()`
`long` `getScheduledTime()`
`long` `getStartTime()`
`String` `getStatus()`
`String` `getSuccessfulAttemptID()`
`String` `getTaskID()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaskStatus

    public TaskStatus(String taskID)

#### TaskStatus

    public TaskStatus(String taskID,
              String status,
              long scheduledTime,
              long startTime,
              long endTime,
              String successfulAttemptID,
              Map<String,Map<String,Long>> counters,
              String diagnostics)

### Method Detail

#### getTaskID

    public String getTaskID()

#### getStatus

    public String getStatus()

#### getScheduledTime

    public long getScheduledTime()

#### getStartTime

    public long getStartTime()

#### getEndTime

    public long getEndTime()

#### getSuccessfulAttemptID

    public String getSuccessfulAttemptID()

#### getCounters

    public Map<String,Map<String,Long>> getCounters()

#### getDiagnostics

    public String getDiagnostics()